import request from "@/utils/request";

// 查询
export function queryMyClaim(from) {


  return request({
    url: "/purchaseApproval/listExamine",
    method: "get",
    data: from
  })
}

// 获取我的任务-表格数据
export function getTaskListe() {

  return request({
    url: "/purchaseApproval/taskList",
    method: "get",

  })
}

// 完成任务操作
export function complete({taskId, instanceId, comment, pass}) {
  return request({
    url: `/purchaseApproval/complete/${taskId}/${instanceId}`,
    method: "post",
    data: {
      comment,
      pass
    }
  })
}

// 获取历史任务-表格数据
export function getTaskDoneList() {

  return request({
    url: "/purchaseApproval/taskDoneList",
    method: "get",

  })
}
